<!--
The component that is shown on the left hand side when viewing a
single competition.

Allows the user to navigate to the submission page and to download
a file.
-->
<template>
  <div id="app">
    <b-card style="max-width: 300px">
      <h6 slot="header" class="mb-0" style="font-weight: bold;">Information</h6>

      <b-button variant="primary" class="download-upload-btn">
        <download/> Start
      </b-button>

      <b-button variant="success" class="download-upload-btn" :to="'/Submit/' + this.competition._id">
        <upload/> Submit
      </b-button>

      <div class="info-text">
        Due {{ this.competition.getDeadline() || "No deadline" }}
        <br/>
        {{ this.competition.getSubmissions() }} Submissions
      </div>
    </b-card>
  </div>
</template>
<script>
import Competition from '@/models/Competition'

import Download from 'vue-material-design-icons/download.vue'
import Upload from 'vue-material-design-icons/upload.vue'

export default {
    name: 'app',
    components: {
        Download: Download,
        Upload: Upload
    },

    props: {
        competition: Competition
    }
}
</script>
<style>
.download-upload-btn {
    display: inline;
    margin-right: 6px;
    min-width: 120px;
}
</style>